Index: src/eclipsehelp.cpp
===================================================================
--- src/eclipsehelp.cpp	(revision 749)
+++ src/eclipsehelp.cpp	(working copy)
@@ -84,7 +84,10 @@
   {
     title = "Doxygen generated documentation";
   }
-  m_tocstream << "<toc label=\"" << convertToXML(title) << "\">" << endl;
+
+  QCString indexName = Config_getBool("GENERATE_TREEVIEW")?"main":"index";
+  m_tocstream << "<toc label=\"" << convertToXML(title) << "\"";
+  m_tocstream << " topic=\"" << convertToXML(m_pathprefix) << indexName << Doxygen::htmlFileExtension << "\">" << endl;
   ++ m_depth;
 }
 
@@ -165,7 +168,7 @@
   closedTag();
   indent();
   m_tocstream << "<topic label=\"" << convertToXML(name) << "\"";
-  if (!isDir && file) 
+  if (file) 
   {  // -- Eclipse help cannot handle directories 
     m_tocstream << " href=\"" << convertToXML(m_pathprefix) 
                 << file << Doxygen::htmlFileExtension;
